Description

issue

On the EDC, in Flourish Caregiver > Ultrasound Form there is a variable `maternal_delivery_date`.

On the EDC, in Flourish Caregiver > Birth Form there is a variable `delivery_datetime`.

The values for these two variables should be equal across the CRFs, but the are not equal for 33 childpids.

For all 33 chilpids, the ultrasound form `maternal_delivery_date`is 1 day earlier than the Birth Form `delivery_date`

I confirmed that the all the values for the Birth Form `delivery_date` equal child dob across other CRFs in the study. So the value for

delivery date in the Ultrasound form is the only source of discrepancy. Looking at report_datetime, the appearance of these discrepant

values doesn't seem to correspond to any specific date range or segment of time.

Just a thought/possibility: because the difference value is 100% consistent across records this feels more like a systemic error than

human error. Is it possible that a time zone value/attribute associated with ultrasound form delivery date value may be misaligned or

mis-formatted upon export?

Kate also suggested date time settings specific to a certain computer or computing environment could also be source driving the

difference.

Priority and follow-up

Ame - we need to confirm if the variable `maternal_delivery_date` is the delivery date being used to compute gestational age for

`ga_birth_usconfirm_us`. If so, we need prioritize addressing and correcting the values computed for gestational age since Kate is actively

using this variable to support grants and publications.

code to reproduce issue

see attachments

attachments

- the 2 raw csv exports I used to find the issue.

- merged csv output with the 33 records containing anomalous values (also contains merged values for child dob from Flourish Child >

Birth Data and Flourish Caregiver > Caregiver consent)

- code needed to reproduce the 33 records of issue both as py file and jupyter notebook (was not sure what your preference is!)

History

#1 - 24/06/2024 13:46 - Ame Diphoko

- Description updated

#2 - 26/06/2024 18:20 - Debbie Bitran

Pulled the following CRF csv exports from test EDC:

- UltraSound (Flourish Caregiver > Ultrasound Form)

- MaternalDelivery (Flourish Caregiver > Birth Form)

- CaregiverChildConsent (Flourish Caregiver > Caregiver Consent On Behalf Of Child) 

- ChildBirth (Flourish Child > Child Birth)
Pulled the following CRF csv exports from production EDC:

- MaternalDelivery (Flourish Caregiver > Birth Form)

- CaregiverChildConsent (Flourish Caregiver > Caregiver Consent On Behalf Of Child) 

- ChildBirth (Flourish Child > Child Birth)

I left joined all other dataframes from the test EDC to the Ultrasound data from the test EDC (i.e., preserving all records in the Ultrasound data and merging

records from the remaining dataframes only with matching chilpids in the Ultrasound data).

I created a second data from left joining the dataframes (noted in list above) from the production edc to the Ultrasound data from the test edc.

For the dataframe with only data from the test EDC, there is one misaligned childpid and child_dob record on ChildCaregiverConsent CRF. Again this is in

data pulled from the test EDC ONLY. 

childpid  B142-040990520-4-60

child_dob  2017-12-14

this child_dob equals the child_dob for this subject's sibling B142-040990520-4-10

That was the only anomaly. and again this was in the data pulled from the TEST server. not production.

Just wanted to make sure this doesnt get uploaded to the production instance !

Otherwise, `maternal_delivery_date` from the UltraSound data pulled from the test server and merged with all the other CRFs is now equal to all dob and

delivery date variables from the other CRFs. No more discrepancies!!*

_+Issue is resolved and can be closed.

Please change status to closed as I cannot current change the status on this ticket.

Thanks!+*_

#3 - 08/07/2024 08:32 - Ame Diphoko

- Status changed from New to Closed

Files

MaternalDelivery-2024-06-20.csv 59.2 KB 21/06/2024 Debbie Bitran

UltraSound-2024-06-14.csv 80.1 KB 21/06/2024 Debbie Bitran

issue_21_ultrasound_form_delivery_date.ipynb 9.12 KB 21/06/2024 Debbie Bitran

issue_21_ultrasound_form_delivery_date.py 3.72 KB 21/06/2024 Debbie Bitran

issue_21_ultrasound_form_delivery_date.csv 5.47 KB 21/06/2024 Debbie Bitran
